Package org.kapott.hbci.sepa.jaxb.pain_008_001_02

# Class RemittanceInformationSEPA1Choice

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_001_02.RemittanceInformationSEPA1Choice

public class RemittanceInformationSEPA1Choice extends Object

Java class for RemittanceInformationSEPA1Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RemittanceInformationSEPA1Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="Ustrd" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.02}Max140Text"/>
               <element name="Strd" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.02}StructuredRemittanceInformationSEPA1"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected StructuredRemittanceInformationSEPA1`
`strd`
`protected String`
`ustrd`

## Constructor Summary

Constructors
Constructor
Description
`RemittanceInformationSEPA1Choice()`

## Method Summary

Modifier and Type
Method
Description
`StructuredRemittanceInformationSEPA1`
`getStrd()`
Gets the value of the strd property.
`String`
`getUstrd()`
Gets the value of the ustrd property.
`void`
`setStrd(StructuredRemittanceInformationSEPA1 value)`
Sets the value of the strd property.
`void`
`setUstrd(String value)`
Sets the value of the ustrd property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ustrd

protected String ustrd

### strd

protected StructuredRemittanceInformationSEPA1 strd

## Constructor Details

### RemittanceInformationSEPA1Choice

public RemittanceInformationSEPA1Choice()

## Method Details

### getUstrd

public String getUstrd()
Gets the value of the ustrd property.

Returns:
  possible object is `String`

### setUstrd

public void setUstrd(String value)
Sets the value of the ustrd property.

Parameters:
  `value` - allowed object is `String`

### getStrd

public StructuredRemittanceInformationSEPA1 getStrd()
Gets the value of the strd property.

Returns:
  possible object is `StructuredRemittanceInformationSEPA1`

### setStrd

public void setStrd(StructuredRemittanceInformationSEPA1 value)
Sets the value of the strd property.

Parameters:
  `value` - allowed object is `StructuredRemittanceInformationSEPA1`